Bug 17147 - mod_perl-1.24-4 has bug in Apache::ExtUtils fix in CVS
mod_perl-1.24-4 has bug in Apache::ExtUtils fix in CVS
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mod_perl (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-31 17:35 EDT by heckmann
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-31 17:37:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mod_perl Apache::ExtUtils patch from latest cvs (686 bytes, patch)
2000-08-31 17:37 EDT, heckmann
no flags Details | Diff

  None (edit)
Description heckmann 2000-08-31 17:35:41 EDT
mod_perl-1.24-4 (the latest in rawhide), has a bug in Apache::ExtUtils that
causes core dumps in certain conditions (like using Apache::Language) the 
fix for it is in the mod_perl cvs. Please don't include a broken version in
7.0 if it's
a known bug.

here's the patch:


diff -uNr mod_perl-1.24.orig/lib/Apache/ExtUtils.pm
mod_perl-1.24/lib/Apache/ExtUtils.pm
--- mod_perl-1.24.orig/lib/Apache/ExtUtils.pm   Fri Mar  3 01:18:41 2000
+++ mod_perl-1.24/lib/Apache/ExtUtils.pm        Thu Aug 31 17:08:57 2000
@@ -5,7 +5,7 @@
 use IO::File ();
 use File::Copy ();
 
-$Apache::ExtUtils::VERSION = '1.03';
+$Apache::ExtUtils::VERSION = '1.04';
 
 my @config_export = qw(%Config ldopts ccopts);
 @Apache::ExtUtils::EXPORT = qw(command_table);
@@ -255,6 +255,13 @@
     add_module(&XS_${modname});
     stash_mod_pointer("$class", &XS_${modname});
 
+void
+END()
+
+    CODE:
+    if (find_linked_module("$class")) {
+        remove_module(&XS_${modname});
+    }
 EOF
 }
Comment 1 heckmann 2000-08-31 17:37:20 EDT
Created attachment 3138 [details]
mod_perl Apache::ExtUtils patch from latest cvs
Comment 2 Nalin Dahyabhai 2000-09-01 17:10:17 EDT
The fix is now in our build tree.  Thanks for the patch.

Note You need to log in before you can comment on or make changes to this bug.